ECHO OFF
REM Parameters:
REM %1: processor name, used only in the file name
REM %2: processor type
REM     1 - 62/62A
REM     2 - 6N0/6NA
REM     3 - 62N
REM     4 - 62P, 6N4/6N5
REM     5 - 62P TS, 6N4/6N5 TS
REM %3: RAM size in KB
REM %4: Monitor size in KB
REM %5: Flash memory size in KB
REM %6: UART used for communication
REM %7: Switch divider for peripheral clock off (only M16C/6N, M16C/62P)
REM     0 - f(Xin)/2
REM     1 - f(Xin)/1
REM %8: Value for PLL multiplier (only for M16C/62P, M16C/6N4, M16C/6N5)
REM     Use "1" for PLL not active
REM %9: optional addition to indicate processors running with f(Xin) as SIO clock,
REM     used only in the file name
ECHO ON

as30 M16C_mon -l -S -T -DFLASH_TYPE=%2 -DRAM_SIZE=%3 -DMON_SIZE=%4 -DFLASH_SIZE=%5 -DUART=%6 -DvPCLKR=%7 -DPLL_MUL=%8
ln30 M16C_mon -G -MS -O %1_%6_x%8%9.x30
lmc30 -ID#00000000000000 %1_%6_x%8%9
