cls
REM Generate one monitor for test purpose
REM call com_processor_M16C %1 %2 %3 %4 %5 %6 %7 %8 %9

ECHO OFF
REM Parameters:
REM %1: processor name, used only in the file name
REM %2: processor type
REM     1 - 62/62A
REM     2 - 6N0/6NA
REM     3 - 62N
REM     4 - 62P, 6N4/6N5
REM     5 - 62P TS, 6N4/6N5 TS
REM     6 - 26, 1N
REM %3: RAM size in KB
REM %4: Monitor size in KB
REM %5: Flash memory size in KB
REM %6: UART used for communication
REM %7: Switch divider for peripheral clock off (only M16C/6N)
REM     0 - f(Xin)/2
REM     1 - f(Xin)/1
REM %8: Multiplier for PLL circuit. Only available with M16C/62P and M16C/6N4/6N5.
REM     If PLL is not used this parameter must be set to 1.
REM %9: optional addition to indicate processors running with f(Xin) as SIO clock,
REM     used only in the file name

REM UART 0 (f(SIO)=f(Xin)/1)
REM call com_processor_M16C 30262F6     6  2  8  48 0 2 1 _fast
REM call com_processor_M16C 30262F8     6  2  8  64 0 2 1 _fast
REM call com_processor_M16C 30620FCA    1 10 16 128 0 0 1
REM call com_processor_M16C 30620FCN    3 10  8 128 0 0 1
REM call com_processor_M16C 30624FGA    1 20 16 256 0 0 1
REM call com_processor_M16C 30624FGN    3 20  8 256 0 0 1
REM call com_processor_M16C 3062GF8N    3  8  8  64 0 0 1
REM call com_processor_M16C 30626FHP    4 31  8 384 0 2 1 _fast
REM call com_processor_M16C 30626FHP_TS 5 31  8 384 0 2 1 _fast
REM call com_processor_M16C 306N0FG     2 10 16 256 0 2 1 _fast
REM call com_processor_M16C 306N1FC     2  5 16 128 0 2 1 _fast
REM call com_processor_M16C 306N4FG     4 10  8 256 0 2 1 _fast
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 0 2 1 _fast
REM call com_processor_M16C 306N5FC     4  5  8 128 0 2 1 _fast
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 0 2 1 _fast

REM UART 0 (f(SIO)=f(Xin)/2)
REM call com_processor_M16C 30262F6     6  2  8  48 0 0 1
REM call com_processor_M16C 30262F8     6  2  8  64 0 0 1
REM call com_processor_M16C 30626FHP    6 31  8 384 0 0 1
REM call com_processor_M16C 30626FHP_TS 5 31  8 384 0 0 1
REM call com_processor_M16C 306N0FG     2 10 16 256 0 0 1
REM call com_processor_M16C 306N1FC     2  5 16 128 0 0 1
REM call com_processor_M16C 306N4FG     4 10  8 256 0 0 1
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 0 0 1
REM call com_processor_M16C 306N5FC     4  5  8 128 0 0 1
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 0 0 1

REM UART 1 (f(SIO)=f(Xin)/1)
REM call com_processor_M16C 30262F6     6  2  8  48 1 2 1 _fast
REM call com_processor_M16C 30262F8     6  2  8  64 1 2 1 _fast
REM call com_processor_M16C 30620FCA    1 10 16 128 1 0 1
REM call com_processor_M16C 30620FCN    3 10  8 128 1 0 1
REM call com_processor_M16C 30624FGA    1 20 16 256 1 0 1
REM call com_processor_M16C 30624FGN    3 20  8 256 1 0 1
REM call com_processor_M16C 3062GF8N    3  8  8  64 1 0 1
REM call com_processor_M16C 30626FHP    4 31  8 384 1 2 1 _fast
REM call com_processor_M16C 30626FHP_TS 5 31  8 384 1 2 1 _fast
REM call com_processor_M16C 306N0FG     2 10 16 256 1 2 1 _fast
REM call com_processor_M16C 306N1FC     2  5 16 128 1 2 1 _fast
REM call com_processor_M16C 306N4FG     4 10  8 256 1 2 1 _fast
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 1 2 1 _fast
REM call com_processor_M16C 306N5FC     4  5  8 128 1 2 1 _fast
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 1 2 1 _fast

REM UART 1 (f(SIO)=f(Xin)/2)
REM call com_processor_M16C 30262F6     6  2  8  48 1 0 1
REM call com_processor_M16C 30262F8     6  2  8  64 1 0 1
REM call com_processor_M16C 30626FHP    4 31  8 384 1 0 1
REM call com_processor_M16C 30626FHP_TS 5 31  8 384 1 0 1
REM call com_processor_M16C 306N0FG     2 10 16 256 1 0 1
REM call com_processor_M16C 306N1FC     2  5 16 128 1 0 1
REM call com_processor_M16C 306N4FG     4 10  8 256 1 0 1
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 1 0 1
REM call com_processor_M16C 306N5FC     4  5  8 128 1 0 1
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 1 0 1

REM UART 1 (f(SIO)=f(Xin)/1), CPU clock =f(Xin)x2 (PLLx2)
echo on
call com_processor_M16C 30626FHP    4 31  8 384 1 2 2 _fast
echo off

REM UART 1 (f(SIO)=f(Xin)/2), CPU clock =f(Xin)x2 (PLLx2)
REM call com_processor_M16C 30626FHP    4 31  8 384 1 0 2
REM call com_processor_M16C 30626FHP_TS 5 31  8 384 1 0 2
REM call com_processor_M16C 306N4FG     4 10  8 256 1 0 2
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 1 0 2
REM call com_processor_M16C 306N5FC     4  5  8 128 1 0 2
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 1 0 2

REM UART 1 (f(SIO)=f(Xin)/2), CPU clock =f(Xin)x4 (PLLx4)
REM call com_processor_M16C 30626FHP    4 31  8 384 1 0 4
REM call com_processor_M16C 30626FHP_TS 5 31  8 384 1 0 4
REM call com_processor_M16C 306N4FG     4 10  8 256 1 0 4
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 1 0 4
REM call com_processor_M16C 306N5FC     4  5  8 128 1 0 4
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 1 0 4

REM UART 1 (f(SIO)=f(Xin)/2), CPU clock =f(Xin)x8 (PLLx8)
REM call com_processor_M16C 30626FHP    4 31  8 384 1 0 8
REM call com_processor_M16C 30626FHP_TS 5 31  8 384 1 0 8
REM call com_processor_M16C 306N4FG     4 10  8 256 1 0 8
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 1 0 8
REM call com_processor_M16C 306N5FC     4  5  8 128 1 0 8
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 1 0 8

REM UART 2 (f(SIO)=f(Xin)/2)
REM call com_processor_M16C 30262F6     6  2  8  48 2 0 1
REM call com_processor_M16C 30262F8     6  2  8  64 2 0 1
REM call com_processor_M16C 306N0FG     2 10 16 256 2 0 1
REM call com_processor_M16C 306N1FC     2  5 16 128 2 0 1
REM call com_processor_M16C 306N4FG     4 10  8 256 2 0 1
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 2 0 1
REM call com_processor_M16C 306N5FC     4  5  8 128 2 0 1
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 2 0 1
REM call com_processor_M16C 306N4FG     4 10  8 256 2 0 1
REM call com_processor_M16C 306N4FG_TS  5 10  8 256 2 0 1
REM call com_processor_M16C 306N5FC     4  5  8 128 2 0 1
REM call com_processor_M16C 306N5FC_TS  5  5  8 128 2 0 1

REM del *.map
REM del *.x30
REM del *.lst
